path: /build/build/kiwisolver-dev-python-1.4.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/kiwisolver -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/kiwisolver
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kiwisolver && luet-portage --dir /pkgdir/kiwisolver
    dev-python/kiwisolver && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3998bdc00a072a844037a60af5799387f6b92b33c606dd3cba8da6cbb2e6b199
  package:
    name: kiwisolver
    version: 1.4.5
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: dvipng
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An efficient C++ implementation of the Cassowary constraint solving
      algorithm
    uri:
    - https://github.com/nucleic/kiwi
    license: Clear-BSD
    buildtimestamp: 2023-10-21 18:36:53.780770691 +0000 UTC m=+1419.195385961
    labels:
      BDEPEND: test? ( >=dev-python/cppy-1.1.0[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/pytest-7.1.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: '>=dev-python/cppy-1.1.0[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]'
      emerge.packages: dev-python/kiwisolver
      kit: python-modules-kit
      original.package.name: dev-python/kiwisolver
      original.package.slot: "0"
      original.package.version: 1.4.5
    treedir: /build/packages
  package_dir: /pkgdir/kiwisolver
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f19f2e4c56ddf515b1b1763fbdb900ed6d1521f9bd52593172bcfc43921a34c5
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/kiwisolver/__init__.py
- usr/lib/python3.9/site-packages/kiwisolver/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/kiwisolver/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/kiwisolver/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/kiwisolver/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/kiwisolver/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/kiwisolver/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/kiwisolver/_cext.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/kiwisolver/_cext.pyi
- usr/lib/python3.9/site-packages/kiwisolver/exceptions.py
- usr/lib/python3.9/site-packages/kiwisolver/py.typed
- usr/lib/python3.9/site-packages/kiwisolver-1.4.5-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/kiwisolver-1.4.5-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/kiwisolver-1.4.5-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/kiwisolver-1.4.5-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/kiwisolver-1.4.5-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/kiwisolver-1.4.5-py3.9.egg-info/top_level.txt
- usr/share/doc/kiwisolver-1.4.5/README.rst.bz2
- var/db/pkg/dev-python/kiwisolver-1.4.5/BDEPEND
- var/db/pkg/dev-python/kiwisolver-1.4.5/BUILD_TIME
- var/db/pkg/dev-python/kiwisolver-1.4.5/CATEGORY
- var/db/pkg/dev-python/kiwisolver-1.4.5/CBUILD
- var/db/pkg/dev-python/kiwisolver-1.4.5/CFLAGS
- var/db/pkg/dev-python/kiwisolver-1.4.5/CHOST
- var/db/pkg/dev-python/kiwisolver-1.4.5/CONTENTS
- var/db/pkg/dev-python/kiwisolver-1.4.5/COUNTER
- var/db/pkg/dev-python/kiwisolver-1.4.5/CXXFLAGS
- var/db/pkg/dev-python/kiwisolver-1.4.5/DEFINED_PHASES
- var/db/pkg/dev-python/kiwisolver-1.4.5/DESCRIPTION
- var/db/pkg/dev-python/kiwisolver-1.4.5/EAPI
- var/db/pkg/dev-python/kiwisolver-1.4.5/FEATURES
- var/db/pkg/dev-python/kiwisolver-1.4.5/HOMEPAGE
- var/db/pkg/dev-python/kiwisolver-1.4.5/INHERITED
- var/db/pkg/dev-python/kiwisolver-1.4.5/IUSE
- var/db/pkg/dev-python/kiwisolver-1.4.5/IUSE_EFFECTIVE
- var/db/pkg/dev-python/kiwisolver-1.4.5/KEYWORDS
- var/db/pkg/dev-python/kiwisolver-1.4.5/LDFLAGS
- var/db/pkg/dev-python/kiwisolver-1.4.5/LICENSE
- var/db/pkg/dev-python/kiwisolver-1.4.5/NEEDED
- var/db/pkg/dev-python/kiwisolver-1.4.5/PF
- var/db/pkg/dev-python/kiwisolver-1.4.5/PROVIDES
- var/db/pkg/dev-python/kiwisolver-1.4.5/RDEPEND
- var/db/pkg/dev-python/kiwisolver-1.4.5/REQUIRES
- var/db/pkg/dev-python/kiwisolver-1.4.5/RESTRICT
- var/db/pkg/dev-python/kiwisolver-1.4.5/SIZE
- var/db/pkg/dev-python/kiwisolver-1.4.5/SLOT
- var/db/pkg/dev-python/kiwisolver-1.4.5/USE
- var/db/pkg/dev-python/kiwisolver-1.4.5/environment.bz2
- var/db/pkg/dev-python/kiwisolver-1.4.5/kiwisolver-1.4.5.ebuild
- var/db/pkg/dev-python/kiwisolver-1.4.5/repository
package_cacheimage: ""
runtime:
  name: kiwisolver
  version: 1.4.5
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: cppy
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An efficient C++ implementation of the Cassowary constraint solving
    algorithm
  uri:
  - https://github.com/nucleic/kiwi
  license: Clear-BSD
  labels:
    BDEPEND: test? ( >=dev-python/cppy-1.1.0[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/pytest-7.1.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python3_10
    RDEPEND: '>=dev-python/cppy-1.1.0[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]'
    emerge.packages: dev-python/kiwisolver
    kit: python-modules-kit
    original.package.name: dev-python/kiwisolver
    original.package.slot: "0"
    original.package.version: 1.4.5
